<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>API: OpenSim::ValueArrayDictionary Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script>
<script type="text/javascript" async="async" src="MathJax-2.7.0/MathJax.js"></script>
<link href="doxygen_developer.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="OpenSimLogoWhiteHorizontal_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">API
   &#160;<span id="projectnumber">4.4.1-2022-09-05-d4bb9bc34</span>
   </div>
   <div id="projectbrief">For C++ developers</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classOpenSim_1_1ValueArrayDictionary.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="classOpenSim_1_1ValueArrayDictionary-members.html">List of all members</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-types">Public Types</a>  </div>
  <div class="headertitle">
<div class="title">OpenSim::ValueArrayDictionary Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a class="el" href="classOpenSim_1_1ValueArrayDictionary.html" title="ValueArrayDictionary represents an associative array mapping from a string to an AbstractValueArray.">ValueArrayDictionary</a> represents an associative array mapping from a string to an <a class="el" href="classOpenSim_1_1AbstractValueArray.html" title="ValueArray (of type T) represents an array of SimTK::Value (of type T).">AbstractValueArray</a>.  
 <a href="classOpenSim_1_1ValueArrayDictionary.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a110113f1a1179371ec2c42419850c160"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1ValueArrayDictionary.html#a110113f1a1179371ec2c42419850c160">hasKey</a> (const std::string &amp;key) const</td></tr>
<tr class="memdesc:a110113f1a1179371ec2c42419850c160"><td class="mdescLeft">&#160;</td><td class="mdescRight">Does a key-value pair corresponding to the given key currently exist ?  <a href="classOpenSim_1_1ValueArrayDictionary.html#a110113f1a1179371ec2c42419850c160">More...</a><br /></td></tr>
<tr class="separator:a110113f1a1179371ec2c42419850c160"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad401e6092df8ceac7dbd46207f9ea54b"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOpenSim_1_1ValueArrayDictionary.html#ab98bf211722ade7630371d8235970b6a">AbstractValue</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1ValueArrayDictionary.html#ad401e6092df8ceac7dbd46207f9ea54b">getValueForKey</a> (const std::string &amp;key) const</td></tr>
<tr class="memdesc:ad401e6092df8ceac7dbd46207f9ea54b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the first entry of the array corresponding to the given key.  <a href="classOpenSim_1_1ValueArrayDictionary.html#ad401e6092df8ceac7dbd46207f9ea54b">More...</a><br /></td></tr>
<tr class="separator:ad401e6092df8ceac7dbd46207f9ea54b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb435941e533423e8fd242434888d85f"><td class="memTemplParams" colspan="2">template&lt;typename ValueType &gt; </td></tr>
<tr class="memitem:adb435941e533423e8fd242434888d85f"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1ValueArrayDictionary.html#adb435941e533423e8fd242434888d85f">setValueForKey</a> (const std::string &amp;key, const ValueType &amp;value)</td></tr>
<tr class="memdesc:adb435941e533423e8fd242434888d85f"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOpenSim_1_1Set.html" title="A class for holding a set of pointers to objects.">Set</a> the value corresponding to a given key.  <a href="classOpenSim_1_1ValueArrayDictionary.html#adb435941e533423e8fd242434888d85f">More...</a><br /></td></tr>
<tr class="separator:adb435941e533423e8fd242434888d85f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a422016c69924a8c4f75cc92e4b779f6d"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOpenSim_1_1AbstractValueArray.html">AbstractValueArray</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1ValueArrayDictionary.html#a422016c69924a8c4f75cc92e4b779f6d">getValueArrayForKey</a> (const std::string &amp;key) const</td></tr>
<tr class="memdesc:a422016c69924a8c4f75cc92e4b779f6d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the array corresponding to a given key.  <a href="classOpenSim_1_1ValueArrayDictionary.html#a422016c69924a8c4f75cc92e4b779f6d">More...</a><br /></td></tr>
<tr class="separator:a422016c69924a8c4f75cc92e4b779f6d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5cc393e65ff5528ff57e088275261bd1"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1ValueArrayDictionary.html#a5cc393e65ff5528ff57e088275261bd1">setValueArrayForKey</a> (const std::string &amp;key, const <a class="el" href="classOpenSim_1_1AbstractValueArray.html">AbstractValueArray</a> &amp;abstractValueArray)</td></tr>
<tr class="memdesc:a5cc393e65ff5528ff57e088275261bd1"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOpenSim_1_1Set.html" title="A class for holding a set of pointers to objects.">Set</a> the array corresponding to a given key.  <a href="classOpenSim_1_1ValueArrayDictionary.html#a5cc393e65ff5528ff57e088275261bd1">More...</a><br /></td></tr>
<tr class="separator:a5cc393e65ff5528ff57e088275261bd1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a668d40dd034d7aa1048230912881b0e1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1AbstractValueArray.html">AbstractValueArray</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1ValueArrayDictionary.html#a668d40dd034d7aa1048230912881b0e1">updValueArrayForKey</a> (const std::string &amp;key)</td></tr>
<tr class="memdesc:a668d40dd034d7aa1048230912881b0e1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a writable reference to the array corresponding to a given key.  <a href="classOpenSim_1_1ValueArrayDictionary.html#a668d40dd034d7aa1048230912881b0e1">More...</a><br /></td></tr>
<tr class="separator:a668d40dd034d7aa1048230912881b0e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27298d570627802d1257ec4f5f16b4bc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1ValueArrayDictionary.html#a27298d570627802d1257ec4f5f16b4bc">removeValueForKey</a> (const std::string &amp;key)</td></tr>
<tr class="memdesc:a27298d570627802d1257ec4f5f16b4bc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove a key and its associated array.  <a href="classOpenSim_1_1ValueArrayDictionary.html#a27298d570627802d1257ec4f5f16b4bc">More...</a><br /></td></tr>
<tr class="separator:a27298d570627802d1257ec4f5f16b4bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3bc1010fb5e10fcf94a387293d5cb181"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1ValueArrayDictionary.html#a3bc1010fb5e10fcf94a387293d5cb181">removeValueArrayForKey</a> (const std::string &amp;key)</td></tr>
<tr class="memdesc:a3bc1010fb5e10fcf94a387293d5cb181"><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove a key and its associated array.  <a href="classOpenSim_1_1ValueArrayDictionary.html#a3bc1010fb5e10fcf94a387293d5cb181">More...</a><br /></td></tr>
<tr class="separator:a3bc1010fb5e10fcf94a387293d5cb181"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62c3c742e4b55f25a2ced1bf6a1b802e"><td class="memItemLeft" align="right" valign="top">std::vector&lt; std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1ValueArrayDictionary.html#a62c3c742e4b55f25a2ced1bf6a1b802e">getKeys</a> () const</td></tr>
<tr class="memdesc:a62c3c742e4b55f25a2ced1bf6a1b802e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get all the existing keys as a std::vector.  <a href="classOpenSim_1_1ValueArrayDictionary.html#a62c3c742e4b55f25a2ced1bf6a1b802e">More...</a><br /></td></tr>
<tr class="separator:a62c3c742e4b55f25a2ced1bf6a1b802e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a884efe5b2b783d65b3a2cbc7a9e3dfe6"><td class="memItemLeft" align="right" valign="top">Dictionary::const_iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1ValueArrayDictionary.html#a884efe5b2b783d65b3a2cbc7a9e3dfe6">getKeyValueBegin</a> () const</td></tr>
<tr class="memdesc:a884efe5b2b783d65b3a2cbc7a9e3dfe6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get begin iterator to the associative array.  <a href="classOpenSim_1_1ValueArrayDictionary.html#a884efe5b2b783d65b3a2cbc7a9e3dfe6">More...</a><br /></td></tr>
<tr class="separator:a884efe5b2b783d65b3a2cbc7a9e3dfe6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f1d69240eec8007d2d479fb85d23e46"><td class="memItemLeft" align="right" valign="top">Dictionary::const_iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1ValueArrayDictionary.html#a2f1d69240eec8007d2d479fb85d23e46">getKeyValueEnd</a> () const</td></tr>
<tr class="memdesc:a2f1d69240eec8007d2d479fb85d23e46"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get begin iterator to the associative array.  <a href="classOpenSim_1_1ValueArrayDictionary.html#a2f1d69240eec8007d2d479fb85d23e46">More...</a><br /></td></tr>
<tr class="separator:a2f1d69240eec8007d2d479fb85d23e46"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:affcdf0d70f0381e9e6823c2724a52ed6"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1ValueArrayDictionary.html#affcdf0d70f0381e9e6823c2724a52ed6">getValueAsString</a> (const std::string &amp;key) const</td></tr>
<tr class="memdesc:affcdf0d70f0381e9e6823c2724a52ed6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get value corresponding to the given key as string.  <a href="classOpenSim_1_1ValueArrayDictionary.html#affcdf0d70f0381e9e6823c2724a52ed6">More...</a><br /></td></tr>
<tr class="separator:affcdf0d70f0381e9e6823c2724a52ed6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:ab98bf211722ade7630371d8235970b6a"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1ValueArrayDictionary.html#ab98bf211722ade7630371d8235970b6a">AbstractValue</a> = SimTK::AbstractValue</td></tr>
<tr class="separator:ab98bf211722ade7630371d8235970b6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description </h2>
<div class="textblock"><p><a class="el" href="classOpenSim_1_1ValueArrayDictionary.html" title="ValueArrayDictionary represents an associative array mapping from a string to an AbstractValueArray.">ValueArrayDictionary</a> represents an associative array mapping from a string to an <a class="el" href="classOpenSim_1_1AbstractValueArray.html" title="ValueArray (of type T) represents an array of SimTK::Value (of type T).">AbstractValueArray</a>. </p>
<p><br  />
 </p>
</div><h2 class="groupheader">Member Typedef Documentation</h2>
<a id="ab98bf211722ade7630371d8235970b6a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab98bf211722ade7630371d8235970b6a">&#9670;&nbsp;</a></span>AbstractValue</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">using <a class="el" href="classOpenSim_1_1ValueArrayDictionary.html#ab98bf211722ade7630371d8235970b6a">OpenSim::ValueArrayDictionary::AbstractValue</a> =  SimTK::AbstractValue</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a62c3c742e4b55f25a2ced1bf6a1b802e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a62c3c742e4b55f25a2ced1bf6a1b802e">&#9670;&nbsp;</a></span>getKeys()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;std::string&gt; OpenSim::ValueArrayDictionary::getKeys </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get all the existing keys as a std::vector. </p>
<p><br  />
 </p>

<p class="reference">Referenced by <a class="el" href="classOpenSim_1_1DataTable__.html#a5b70d71bdb1a3a613129114f704d1128">OpenSim::DataTable_&lt; double, SimTK::Real &gt;::DataTable_()</a>, and <a class="el" href="classOpenSim_1_1DataTable__.html#a838334a0d9b6aa17b55e66500991035f">OpenSim::DataTable_&lt; double, SimTK::Real &gt;::validateDependentsMetaData()</a>.</p>

</div>
</div>
<a id="a884efe5b2b783d65b3a2cbc7a9e3dfe6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a884efe5b2b783d65b3a2cbc7a9e3dfe6">&#9670;&nbsp;</a></span>getKeyValueBegin()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Dictionary::const_iterator OpenSim::ValueArrayDictionary::getKeyValueBegin </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get begin iterator to the associative array. </p>
<p><br  />
 </p>

</div>
</div>
<a id="a2f1d69240eec8007d2d479fb85d23e46"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2f1d69240eec8007d2d479fb85d23e46">&#9670;&nbsp;</a></span>getKeyValueEnd()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Dictionary::const_iterator OpenSim::ValueArrayDictionary::getKeyValueEnd </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get begin iterator to the associative array. </p>
<p><br  />
 </p>

</div>
</div>
<a id="a422016c69924a8c4f75cc92e4b779f6d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a422016c69924a8c4f75cc92e4b779f6d">&#9670;&nbsp;</a></span>getValueArrayForKey()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOpenSim_1_1AbstractValueArray.html">AbstractValueArray</a>&amp; OpenSim::ValueArrayDictionary::getValueArrayForKey </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>key</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get the array corresponding to a given key. </p>
<p><br  />
</p>
<dl class="exception"><dt>Exceptions</dt><dd>
  <table class="exception">
    <tr><td class="paramname"><a class="el" href="classOpenSim_1_1KeyNotFound.html">KeyNotFound</a></td><td>If key is not found. <br  />
 </td></tr>
  </table>
  </dd>
</dl>

<p class="reference">References <a class="el" href="classOpenSim_1_1ValueArrayDictionary.html#a110113f1a1179371ec2c42419850c160">hasKey()</a>.</p>

<p class="reference">Referenced by <a class="el" href="classOpenSim_1_1DataTable__.html#a8b8b8c960f3f7405ec46190b42530ac0">OpenSim::DataTable_&lt; double, SimTK::Real &gt;::appendRow()</a>, and <a class="el" href="classOpenSim_1_1DataTable__.html#a838334a0d9b6aa17b55e66500991035f">OpenSim::DataTable_&lt; double, SimTK::Real &gt;::validateDependentsMetaData()</a>.</p>

</div>
</div>
<a id="affcdf0d70f0381e9e6823c2724a52ed6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#affcdf0d70f0381e9e6823c2724a52ed6">&#9670;&nbsp;</a></span>getValueAsString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string OpenSim::ValueArrayDictionary::getValueAsString </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>key</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get value corresponding to the given key as string. </p>
<dl class="exception"><dt>Exceptions</dt><dd>
  <table class="exception">
    <tr><td class="paramname"><a class="el" href="classOpenSim_1_1KeyNotFound.html">KeyNotFound</a></td><td>If key is not found. <br  />
 </td></tr>
  </table>
  </dd>
</dl>

<p class="reference">References <a class="el" href="classOpenSim_1_1ValueArrayDictionary.html#a110113f1a1179371ec2c42419850c160">hasKey()</a>.</p>

</div>
</div>
<a id="ad401e6092df8ceac7dbd46207f9ea54b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad401e6092df8ceac7dbd46207f9ea54b">&#9670;&nbsp;</a></span>getValueForKey()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOpenSim_1_1ValueArrayDictionary.html#ab98bf211722ade7630371d8235970b6a">AbstractValue</a>&amp; OpenSim::ValueArrayDictionary::getValueForKey </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>key</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get the first entry of the array corresponding to the given key. </p>
<p><br  />
</p>
<dl class="exception"><dt>Exceptions</dt><dd>
  <table class="exception">
    <tr><td class="paramname"><a class="el" href="classOpenSim_1_1KeyNotFound.html">KeyNotFound</a></td><td>If key is not found. <br  />
 </td></tr>
  </table>
  </dd>
</dl>

<p class="reference">References <a class="el" href="classOpenSim_1_1ValueArrayDictionary.html#a110113f1a1179371ec2c42419850c160">hasKey()</a>.</p>

<p class="reference">Referenced by <a class="el" href="classOpenSim_1_1DataTable__.html#a3603790070cec9ef9796d4295158966a">OpenSim::DataTable_&lt; double, SimTK::Real &gt;::validateIndependentMetaData()</a>.</p>

</div>
</div>
<a id="a110113f1a1179371ec2c42419850c160"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a110113f1a1179371ec2c42419850c160">&#9670;&nbsp;</a></span>hasKey()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool OpenSim::ValueArrayDictionary::hasKey </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>key</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Does a key-value pair corresponding to the given key currently exist ? </p>

<p class="reference">Referenced by <a class="el" href="classOpenSim_1_1DataTable__.html#a8b8b8c960f3f7405ec46190b42530ac0">OpenSim::DataTable_&lt; double, SimTK::Real &gt;::appendRow()</a>, <a class="el" href="classOpenSim_1_1ValueArrayDictionary.html#a422016c69924a8c4f75cc92e4b779f6d">getValueArrayForKey()</a>, <a class="el" href="classOpenSim_1_1ValueArrayDictionary.html#affcdf0d70f0381e9e6823c2724a52ed6">getValueAsString()</a>, <a class="el" href="classOpenSim_1_1ValueArrayDictionary.html#ad401e6092df8ceac7dbd46207f9ea54b">getValueForKey()</a>, <a class="el" href="classOpenSim_1_1ValueArrayDictionary.html#a668d40dd034d7aa1048230912881b0e1">updValueArrayForKey()</a>, and <a class="el" href="classOpenSim_1_1DataTable__.html#a838334a0d9b6aa17b55e66500991035f">OpenSim::DataTable_&lt; double, SimTK::Real &gt;::validateDependentsMetaData()</a>.</p>

</div>
</div>
<a id="a3bc1010fb5e10fcf94a387293d5cb181"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3bc1010fb5e10fcf94a387293d5cb181">&#9670;&nbsp;</a></span>removeValueArrayForKey()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void OpenSim::ValueArrayDictionary::removeValueArrayForKey </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>key</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Remove a key and its associated array. </p>
<p><br  />
 </p>

<p class="reference">Referenced by <a class="el" href="classOpenSim_1_1DataTable__.html#a5b70d71bdb1a3a613129114f704d1128">OpenSim::DataTable_&lt; double, SimTK::Real &gt;::DataTable_()</a>.</p>

</div>
</div>
<a id="a27298d570627802d1257ec4f5f16b4bc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a27298d570627802d1257ec4f5f16b4bc">&#9670;&nbsp;</a></span>removeValueForKey()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void OpenSim::ValueArrayDictionary::removeValueForKey </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>key</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Remove a key and its associated array. </p>
<p><br  />
 </p>

</div>
</div>
<a id="a5cc393e65ff5528ff57e088275261bd1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5cc393e65ff5528ff57e088275261bd1">&#9670;&nbsp;</a></span>setValueArrayForKey()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool OpenSim::ValueArrayDictionary::setValueArrayForKey </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOpenSim_1_1AbstractValueArray.html">AbstractValueArray</a> &amp;&#160;</td>
          <td class="paramname"><em>abstractValueArray</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><a class="el" href="classOpenSim_1_1Set.html" title="A class for holding a set of pointers to objects.">Set</a> the array corresponding to a given key. </p>
<p>Value array is set only if the key does not already exist.</p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">true</td><td>If the value was set for the given key. </td></tr>
    <tr><td class="paramname">false</td><td>If the value was not set because key already present. <br  />
 </td></tr>
  </table>
  </dd>
</dl>

<p class="reference">References <a class="el" href="classOpenSim_1_1AbstractValueArray.html#a64bd016c1b5a7074a0d16620352b8fd0">OpenSim::AbstractValueArray::clone()</a>.</p>

</div>
</div>
<a id="adb435941e533423e8fd242434888d85f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adb435941e533423e8fd242434888d85f">&#9670;&nbsp;</a></span>setValueForKey()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ValueType &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool OpenSim::ValueArrayDictionary::setValueForKey </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const ValueType &amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><a class="el" href="classOpenSim_1_1Set.html" title="A class for holding a set of pointers to objects.">Set</a> the value corresponding to a given key. </p>
<p>Value is set only if the key does not already exist.</p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">true</td><td>If the value was set for the given key. </td></tr>
    <tr><td class="paramname">false</td><td>If the value was not set because key already present. <br  />
 </td></tr>
  </table>
  </dd>
</dl>

<p class="reference">References <a class="el" href="classOpenSim_1_1ValueArray.html#a5ff75094015570866d7bdeebfcb794c5">OpenSim::ValueArray&lt; T &gt;::upd()</a>.</p>

<p class="reference">Referenced by <a class="el" href="classOpenSim_1_1DelimFileAdapter.html#a59b7a3d6d45e99cbd29b29d6495a6d10">OpenSim::DelimFileAdapter&lt; T &gt;::extendRead()</a>.</p>

</div>
</div>
<a id="a668d40dd034d7aa1048230912881b0e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a668d40dd034d7aa1048230912881b0e1">&#9670;&nbsp;</a></span>updValueArrayForKey()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOpenSim_1_1AbstractValueArray.html">AbstractValueArray</a>&amp; OpenSim::ValueArrayDictionary::updValueArrayForKey </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>key</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get a writable reference to the array corresponding to a given key. </p>
<dl class="exception"><dt>Exceptions</dt><dd>
  <table class="exception">
    <tr><td class="paramname"><a class="el" href="classOpenSim_1_1KeyNotFound.html">KeyNotFound</a></td><td>If key is not found. <br  />
 </td></tr>
  </table>
  </dd>
</dl>

<p class="reference">References <a class="el" href="classOpenSim_1_1ValueArrayDictionary.html#a110113f1a1179371ec2c42419850c160">hasKey()</a>.</p>

<p class="reference">Referenced by <a class="el" href="classOpenSim_1_1DataTable__.html#a5b70d71bdb1a3a613129114f704d1128">OpenSim::DataTable_&lt; double, SimTK::Real &gt;::DataTable_()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>OpenSim/Common/ValueArrayDictionary.h</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceOpenSim.html">OpenSim</a></li><li class="navelem"><a class="el" href="classOpenSim_1_1ValueArrayDictionary.html">ValueArrayDictionary</a></li>
    <li class="footer">Generated on Mon Sep 5 2022 20:49:32 for API by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.0 </li>
  </ul>
</div>
</body>
</html>
